class SignsController < ApplicationController
  before_action :ensure_admin!
  before_action :set_sign
  
  def destroy
    @sign.destroy
    respond_to do |format|
      format.html { redirect_to :back }
      format.json { head :no_content }
    end
  end
  
  def show
    @lines = @sign.lines
    
    respond_to do |format|
      format.html
      format.json { render json: @sign }
    end
  end

  def edit
  end

  def update
    respond_to do |format|
      if @sign.update_attributes(sign_params)
        format.html { redirect_to action: 'edit', flash: {notice: 'Sign byla úspěšně upravena.'} } 
        format.json { head :no_content }
      else
        format.html { redirect_to action: 'edit' }
        format.json { render json: @sign.errors, status: :unprocessable_entity }
      end
    end
  end

  private
  def set_sign
    @sign = Sign.find(params[:id])
  end
  def sign_params
    params.require(:sign).permit(:trail_id,:guidepost_id,:km,:text1,:text2)
  end
end
